import { IEventDispatch } from '../../Utilities/Dispatch';
import { IHasSelection, ISelectableUI, Selection } from '../../Utilities/Selection';
import { IListSelection } from "./List.Props";
export declare class ListSelection extends Selection implements IListSelection {
    private mousedownPreFocus;
    private selectableUI;
    private pivotIndex;
    private arrowKey;
    private shiftKey;
    private metaKey;
    private ctrlKey;
    initialize: (hasSelection: IHasSelection, selectableUI: ISelectableUI, eventDispatch: IEventDispatch) => void;
    private onClick;
    private onMouseDown;
    private onKeyDown;
    private onKeyUp;
    private onSelect;
    private toggleSelection;
}
