import * as tslib_1 from "tslib";
import * as React from "react";
import { DropdownButton } from '../../Button';
import { ContextualMenu } from "./Menu";
var buttonId = 1;
var MenuButton = /** @class */ (function (_super) {
    tslib_1.__extends(MenuButton, _super);
    function MenuButton(props) {
        var _this = _super.call(this, props) || this;
        _this.onRenderMenu = function (dropdown, dropdownId, anchorElement, anchorOffset, anchorOrigin, anchorPoint, dropdownOrigin) {
            var onDismiss = function () {
                dropdown.expand(false);
                if (_this.props.contextualMenuProps.onDismiss) {
                    _this.props.contextualMenuProps.onDismiss();
                }
            };
            return (React.createElement(ContextualMenu, { anchorElement: anchorElement, anchorOffset: anchorOffset, anchorOrigin: anchorOrigin, anchorPoint: anchorPoint, closeOnFocus: false, menuOrigin: dropdownOrigin, menuProps: _this.props.contextualMenuProps.menuProps, onDismiss: onDismiss }));
        };
        _this.state = {
            id: _this.props.id || "menu-button-" + buttonId++
        };
        return _this;
    }
    MenuButton.prototype.render = function () {
        var _a = this.props, contextualMenuProps = _a.contextualMenuProps, hideDropdownIcon = _a.hideDropdownIcon;
        return (React.createElement(DropdownButton, tslib_1.__assign({}, Object.assign({}, this.props, { menuProps: undefined }), { anchorElement: contextualMenuProps.anchorElement, anchorOffset: contextualMenuProps.anchorOffset, anchorOrigin: contextualMenuProps.anchorOrigin, anchorPoint: contextualMenuProps.anchorPoint, dropdownOrigin: contextualMenuProps.menuOrigin, hideDropdownIcon: hideDropdownIcon, id: this.state.id, ignoreArrowDown: this.props.ignoreArrowDown, onRenderDropdown: this.onRenderMenu })));
    };
    return MenuButton;
}(React.Component));
export { MenuButton };
