/// <reference types="react" />
import "../../FabricInit";
import { IPickListFilterBarItemProps } from "../../Components/PickList/PickList.Props";
import { FilterBarItem, IFilterBarItemState } from '../../FilterBar';
export interface IPickListFilterBarItemState extends IFilterBarItemState<any> {
}
export declare class PickListFilterBarItem extends FilterBarItem<any[], IPickListFilterBarItemProps, IPickListFilterBarItemState> {
    private _pickListDropdown;
    constructor(props: IPickListFilterBarItemProps);
    componentWillReceiveProps(nextProps: IPickListFilterBarItemProps): void;
    focus(): void;
    forceUpdate(): void;
    render(): JSX.Element;
    private _onClearClicked;
    private _onSelectionChanged;
    private onRenderFooter;
    private _validateProps;
}
