/// <reference types="react" />
import "../../Core/core.scss";
import "../../Common.scss";
import "./Status.scss";
import { IStatusProps } from "../../Components/Status/Status.Props";
/**
 * Meant to be used in conjunction with the Statuses object:
 *
 * <Status {...Statuses.Success} size={StatusSize.m} />
 * <Status {...Statuses.Success} size={StatusSize.l} text="Something important" />
 */
export declare function Status(props: Readonly<IStatusProps>): JSX.Element;
export declare const Statuses: {
    [statusName: string]: IStatusProps;
};
