/// <reference types="react" />
import { ITableColumn } from "./Table.Props";
import { IMenuProps } from '../../Menu';
export declare class ColumnMore<T> implements ITableColumn<T> {
    id: string;
    width: number;
    private menuProvider;
    constructor(menuProvider: (listItem: T) => IMenuProps);
    onRenderCell: (rowIndex: number, columnIndex: number, tableColumn: ITableColumn<T>, listItem: T) => JSX.Element;
    onRenderHeaderCell: (columnIndex: number, tableColumn: ITableColumn<T>) => JSX.Element;
}
