import "../../../Core/core.scss";
import "../../../Common.scss";
import * as React from "react";
import * as DateUtil from '../../../Utilities/Date';
import { IAgoProps } from "./Ago.Props";
export interface IAgoState {
    tooltipString: string;
}
export declare class Ago extends React.Component<IAgoProps, IAgoState> {
    constructor(props: IAgoProps);
    render(): JSX.Element;
    private getTimeString;
    /**
     * Returns time in milliseconds for next refresh.
     *
     * @return A number indicating time to refresh in milliseconds
     */
    private getNextInterval;
    /**
     * Returns time in milliseconds for next refresh.
     *
     * @return A number indicating time to refresh in milliseconds
     */
    static agoNextInterval(date: Date, format: DateUtil.AgoFormat, now?: Date): number;
}
