export interface ITimeProps {

    /**
     * The tool tip to be displayed.
     */
    tooltipString: string;

    /**
     * The reference to function which returns a string to display.
     */
    getTimeString: () => string;

    /**
     * Reference to the function which returns time interval before next refresh.
     */
    getNextInterval: () => number;
}