import * as React from "react";
import { ITooltipProps } from "./Tooltip.Props";
import { IPoint } from '../../Utilities/Position';
export interface ITooltipState {
    anchorElement?: HTMLElement;
    anchorPoint?: IPoint;
    innerText?: string;
    visible: boolean;
}
export declare class Tooltip extends React.Component<ITooltipProps, ITooltipState> {
    private openTimeout;
    static defaultProps: {
        delayMs: number;
    };
    constructor(props: Readonly<ITooltipProps>);
    render(): JSX.Element;
    componentWillUnmount(): void;
}
