var ArrayItemProvider = /** @class */ (function () {
    function ArrayItemProvider(items) {
        this.items = items;
    }
    ArrayItemProvider.prototype.getCount = function () {
        return this.items.length;
    };
    ArrayItemProvider.prototype.getItem = function (index) {
        if (index >= 0 && index < this.items.length) {
            return this.items[index];
        }
        return undefined;
    };
    ArrayItemProvider.prototype.getPosition = function (index) {
        return index + 1;
    };
    ArrayItemProvider.prototype.getTotal = function () {
        return this.items.length;
    };
    ArrayItemProvider.prototype.getVersion = function () {
        return 1;
    };
    return ArrayItemProvider;
}());
export { ArrayItemProvider };
