import * as React from "react";
import { IDropdownButton, IDropdownButtonProps } from "./DropdownButton.Props";
export interface IDropdownButtonState {
    expanded: boolean;
    id: string;
}
export declare class DropdownButton extends React.Component<IDropdownButtonProps, IDropdownButtonState> implements IDropdownButton {
    private buttonElement;
    constructor(props: Readonly<IDropdownButtonProps>);
    render(): JSX.Element;
    expand: (expanded: boolean) => boolean;
    private renderCallout;
    private onBlur;
    private onClick;
    private onKeyDown;
}
