export interface IIconProps {
    /**
     * Optional classname to add to the Icon component. If the user wants to use
     * an icon that is not coming from the fabric font the className should
     * contain the font-family and the character to display.
     */
    className?: string;

    /**
     * The classname of the fabric icon to show. Only specify an iconName when the
     * icon is coming from the fabric icon font.
     */
    iconName: string;

    /**
     * A unique identifier for this component.
     */
    key?: string;
}