import * as React from "react";
import { ITabProviderProps, ITabProviderContext } from "../../Components/Tabs/Tabs.Props";
export declare const TabProviderContext: React.Context<ITabProviderContext>;
export declare class TabProvider extends React.Component<ITabProviderProps> {
    private tabs;
    private observableArrays;
    constructor(props: ITabProviderProps);
    componentWillReceiveProps(newProps: ITabProviderProps): void;
    render(): JSX.Element;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onSelectedTabChanged;
    private onSelectedTabIdChanged;
    private onTabsChanged;
}
