import "../../../Core/core.scss";
import "../../../Common.scss";
import * as React from "react";
import { IDurationProps } from "../Duration/Duration.Props";
export interface IDurationState {
    tooltipString: string;
}
export declare class Duration extends React.Component<IDurationProps, IDurationState> {
    constructor(props: IDurationProps);
    render(): JSX.Element;
    private getTimeString;
    /**
     * Returns time in milliseconds for next refresh.
     *
     * @return A number indicating time to refresh in milliseconds
     */
    private getNextInterval;
    /**
     * Returns time in milliseconds for next refresh.
     *
     * @return A number indicating time to refresh in milliseconds
     */
    static durationNextInterval(startDate: Date, endDate?: Date, now?: Date): number;
}
